ALTER TABLE category ADD CONSTRAINT FK_64C19C161220EA6 FOREIGN KEY (creator_id) REFERENCES user (id);
ALTER TABLE category ADD CONSTRAINT FK_64C19C132C8A3DE FOREIGN KEY (organization_id) REFERENCES organization (id);
ALTER TABLE communication ADD CONSTRAINT FK_F9AFB5EB40C86FCE FOREIGN KEY (publisher_id) REFERENCES user (id);
ALTER TABLE communication ADD CONSTRAINT FK_F9AFB5EB84A0A3ED FOREIGN KEY (content_id) REFERENCES content (id);
ALTER TABLE content ADD CONSTRAINT FK_FEC530A9A0D30308 FOREIGN KEY (illustration_file_id) REFERENCES multicanal_file (id) ON DELETE CASCADE;
ALTER TABLE content ADD CONSTRAINT FK_FEC530A961220EA6 FOREIGN KEY (creator_id) REFERENCES user (id);
ALTER TABLE content ADD CONSTRAINT FK_FEC530A96F87649E FOREIGN KEY (distributionList_id) REFERENCES distribution_list (id);
ALTER TABLE content ADD CONSTRAINT FK_FEC530A912469DE2 FOREIGN KEY (category_id) REFERENCES category (id);
ALTER TABLE authors_contents ADD CONSTRAINT FK_74BF6060F675F31B FOREIGN KEY (author_id) REFERENCES content (id);
ALTER TABLE authors_contents ADD CONSTRAINT FK_74BF606084A0A3ED FOREIGN KEY (content_id) REFERENCES user (id);
ALTER TABLE distribution_list ADD CONSTRAINT FK_4C7574AC61220EA6 FOREIGN KEY (creator_id) REFERENCES user (id);
ALTER TABLE distribution_list ADD CONSTRAINT FK_4C7574ACA0D30308 FOREIGN KEY (illustration_file_id) REFERENCES multicanal_file (id) ON DELETE CASCADE;
ALTER TABLE distribution_list ADD CONSTRAINT FK_4C7574AC32C8A3DE FOREIGN KEY (organization_id) REFERENCES organization (id);
ALTER TABLE distribution_list ADD CONSTRAINT FK_4C7574AC12469DE2 FOREIGN KEY (category_id) REFERENCES category (id);
ALTER TABLE email_subscription ADD CONSTRAINT FK_F6D582806F87649E FOREIGN KEY (distributionList_id) REFERENCES distribution_list (id);
ALTER TABLE general_parameters ADD CONSTRAINT FK_75AC6A6FA7E1931C FOREIGN KEY (logo_file_id) REFERENCES multicanal_file (id) ON DELETE CASCADE;
ALTER TABLE mobile_subscription ADD CONSTRAINT FK_2DA4A67F6F87649E FOREIGN KEY (distributionList_id) REFERENCES distribution_list (id);
ALTER TABLE multicanal_file ADD CONSTRAINT FK_6E7539C884A0A3ED FOREIGN KEY (content_id) REFERENCES content (id);
ALTER TABLE organization ADD CONSTRAINT FK_C1EE637C65B825B6 FOREIGN KEY (general_parameters_id) REFERENCES general_parameters (id) ON DELETE CASCADE;
ALTER TABLE organization ADD CONSTRAINT FK_C1EE637C7A8A8FB7 FOREIGN KEY (email_parameters_id) REFERENCES email_parameters (id) ON DELETE CASCADE;
ALTER TABLE organization ADD CONSTRAINT FK_C1EE637C9C84E1A1 FOREIGN KEY (social_network_parameters_id) REFERENCES social_network_parameters (id) ON DELETE CASCADE;
ALTER TABLE organization ADD CONSTRAINT FK_C1EE637CA193C0B8 FOREIGN KEY (mailbox_parameters_id) REFERENCES email_box_parameters (id) ON DELETE CASCADE;
ALTER TABLE user ADD CONSTRAINT FK_8D93D64932C8A3DE FOREIGN KEY (organization_id) REFERENCES organization (id);
